(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     31572,        912]
NotebookOptionsPosition[     28126,        845]
NotebookOutlinePosition[     28482,        861]
CellTagsIndexPosition[     28439,        858]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"You", " ", "need", " ", "to", " ", "have", " ", "Package"}], "-", 
   
   RowBox[{"X", " ", "installed"}]}], ",", " ", 
  RowBox[{"please", " ", "visit", " ", 
   ButtonBox["hepforge",
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://packagex.hepforge.org/"], None},
    ButtonNote->"https://packagex.hepforge.org/"]}]}]], "Text",
 CellChangeTimes->{{3.840021645365707*^9, 3.8400216571682577`*^9}, {
  3.8400217074955997`*^9, 3.840021724564494*^9}, {3.840021755590275*^9, 
  3.840021774050252*^9}},ExpressionUUID->"931b97c7-fb81-4b41-85ee-\
7ee0dcdf2791"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "X`"}]], "Input",
 CellChangeTimes->{{3.8388214192703342`*^9, 3.838821423388575*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"ef74cc3a-7fb1-45ec-8327-37da20bb7349"],

Cell[BoxData["\<\"\\!\\(\\*TemplateBox[List[\\\"\\\\\\\"Package-X v2.1.1, by \
Hiren H. Patel\\\\\\\\nFor more information, see the \\\\\\\"\\\", \
TemplateBox[List[\\\"\\\\\\\"guide\\\\\\\"\\\", \\\"paclet:X/guide/PackageX\\\
\"], \\\"HyperlinkPaclet\\\"]], \\\"RowDefault\\\"]\\)\"\>"], "Print",
 CellChangeTimes->{3.8388214252640257`*^9, 3.8388642970148287`*^9, 
  3.8392148217686863`*^9, 3.840021836776957*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"76409570-2bf0-4d66-b599-09b4383f9b17"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Scaless integrals (Problem 1)", "Text",
 CellChangeTimes->{{3.839214686754921*^9, 3.839214690069824*^9}, {
  3.840021801633087*^9, 3.8400218039967546`*^9}},
 FontSize->18,ExpressionUUID->"329adbb6-5c23-42e7-a985-bc1683c9678f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ifun", "[", 
   RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"n", "+", "m"}], ")"}]}], " ", "I", " ", 
   RowBox[{"Gamma", "[", 
    RowBox[{"n", "+", "m", "-", "2", "+", "\[Epsilon]"}], "]"}], 
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", "n", "-", "\[Epsilon]"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"4", "Pi"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"2", "-", "\[Epsilon]"}], ")"}]}], 
      RowBox[{"M", "^", 
       RowBox[{"(", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"n", "+", "m", "-", "2", "+", "\[Epsilon]"}], ")"}]}], 
        ")"}]}], " ", 
      RowBox[{"Gamma", "[", "m", "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "-", "\[Epsilon]"}], "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.839214694382105*^9, 3.839214812778113*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"de0022c9-4d81-4184-ba4c-657b93649c16"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ifun", "[", 
  RowBox[{"1", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Ifun", "[", 
  RowBox[{"2", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.839933013906869*^9, 3.83993301881629*^9}, {
  3.840021839839198*^9, 3.840021844552764*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"f0f01324-25a6-4701-815e-8b75315bcd37"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", 
   SuperscriptBox["M", 
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Epsilon]"}]], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"4", " ", "\[Pi]"}], ")"}], 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[Epsilon]"}]], " ", 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "-", "\[Epsilon]"}], "]"}], " ", 
   RowBox[{"Gamma", "[", "\[Epsilon]", "]"}]}], 
  RowBox[{"Gamma", "[", 
   RowBox[{"2", "-", "\[Epsilon]"}], "]"}]]], "Output",
 CellChangeTimes->{3.839933019292198*^9, 3.840021845076242*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"e15fad29-00fa-41d5-a865-5fb7543ddb52"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[ImaginaryI]", " ", 
    SuperscriptBox["M", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "\[Epsilon]"}], ")"}]}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"4", " ", "\[Pi]"}], ")"}], 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[Epsilon]"}]], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "\[Epsilon]"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "\[Epsilon]"}], "]"}]}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"2", "-", "\[Epsilon]"}], "]"}]]}]], "Output",
 CellChangeTimes->{3.839933019292198*^9, 3.8400218450798197`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"be6ef29c-91e8-4fdf-8b09-5450ec1a58de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Series", "[", 
   RowBox[{
    RowBox[{"Ifun", "[", 
     RowBox[{"1", ",", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "/.", 
  RowBox[{"EulerGamma", "\[Rule]", 
   RowBox[{"Log", "[", 
    RowBox[{"4", "Pi"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.839214801683642*^9, 3.839214892230294*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"7e19ef2e-48d4-49a7-bfa0-ab6d43bfeb62"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["\[ImaginaryI]", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "\[Epsilon]"}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"Log", "[", "M", "]"}]}]}], ")"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[X`Eps, 0, {}, -1, 1, 1],
    Editable->False]}],
  SeriesData[X`Eps, 0, {Complex[0, 
      Rational[1, 16]] Pi^(-2), (Complex[0, 
       Rational[-1, 16]] Pi^(-2)) (-1 + 2 Log[$CellContext`M])}, -1, 1, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.8392148046662703`*^9, 3.839214851973282*^9}, 
   3.8392148926695967`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"2228a1a6-458d-4302-b068-1587a31b6135"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Series", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"M", "^", "2"}], 
     RowBox[{"Ifun", "[", 
      RowBox[{"2", ",", "1"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "/.", 
  RowBox[{"EulerGamma", "\[Rule]", 
   RowBox[{"Log", "[", 
    RowBox[{"4", "Pi"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8392150279022713`*^9, 3.839215031775391*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"af44fdd8-5a83-4edb-8ca3-4f78bf26a80e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["\[ImaginaryI]", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", "\[Epsilon]"}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"Log", "[", "M", "]"}]}]}], ")"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[X`Eps, 0, {}, -1, 1, 1],
    Editable->False]}],
  SeriesData[X`Eps, 0, {Complex[0, 
      Rational[1, 16]] Pi^(-2), (Complex[0, 
       Rational[-1, 16]] Pi^(-2)) (-1 + 2 Log[$CellContext`M])}, -1, 1, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.839215034259815*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"d96a7507-95f7-4ddd-b771-d9c56a33a23f"]
}, Open  ]]
}, Open  ]],

Cell["Matching", "Text",
 CellChangeTimes->{{3.838863924934455*^9, 3.838863930754662*^9}, {
  3.840021871285816*^9, 3.840021875608444*^9}},
 FontSize->24,ExpressionUUID->"8e173dde-2cf8-4b20-97a7-634243c8eb17"],

Cell[CellGroupData[{

Cell["tree - level matching (problem 6)", "Text",
 CellChangeTimes->{{3.8392418500339127`*^9, 3.839241858096245*^9}, {
  3.8400219487729893`*^9, 3.8400219511613398`*^9}},
 FontSize->18,ExpressionUUID->"c14172ac-0301-4427-92ef-7005c62bdeb6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"res", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"aa1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", "^", "2"}], "+", 
          RowBox[{"p2", "^", "2"}]}], ")"}]}], "+", 
       RowBox[{"aa1bar", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p3", "^", "2"}], "+", 
          RowBox[{"p4", "^", "2"}]}], ")"}]}], "-", 
       RowBox[{"aa2", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", " ", "p3"}], "+", 
          RowBox[{"p2", " ", "p4"}]}], ")"}]}], "-", 
       RowBox[{"aa3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", " ", "p4"}], "+", 
          RowBox[{"p2", " ", "p3"}]}], ")"}]}]}], ")"}], "/.", 
     RowBox[{"p4", "\[Rule]", 
      RowBox[{"p1", "+", "p2", "-", "p3"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8392418679553223`*^9, 3.839241932744235*^9}, {
  3.839242023390662*^9, 3.839242023950942*^9}, {3.83924210642763*^9, 
  3.839242109718223*^9}, {3.839242200860107*^9, 3.839242201128098*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"be378d15-1c92-4b5d-8fef-3ef763da7116"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"aa1", "+", "aa1bar", "-", "aa3"}], ")"}], " ", 
   SuperscriptBox["p1", "2"]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"aa1", "+", "aa1bar", "-", "aa2"}], ")"}], " ", 
   SuperscriptBox["p2", "2"]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "aa1bar"}], "+", "aa2", "-", "aa3"}], ")"}], 
   " ", "p2", " ", "p3"}], "+", 
  RowBox[{"2", " ", "aa1bar", " ", 
   SuperscriptBox["p3", "2"]}], "+", 
  RowBox[{"p1", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "aa1bar"}], "-", "aa2", "-", "aa3"}], ")"}], " ", 
      "p2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "aa1bar"}], "-", "aa2", "+", "aa3"}], ")"}],
       " ", "p3"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.839241920259407*^9, 3.839241933274214*^9}, 
   3.839242024800234*^9, 3.83924211226516*^9, 3.839242203809918*^9, 
   3.84002204886598*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"8d1bc0fc-dc8c-4759-8cce-bce35a43be1b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], " ", "res"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"aa1", "\[Rule]", 
        RowBox[{
         RowBox[{"-", "x"}], "/", "2"}]}], ",", 
       RowBox[{"aa1bar", "\[Rule]", 
        RowBox[{
         RowBox[{"-", "x"}], "/", "2"}]}], ",", 
       RowBox[{"aa2", "\[Rule]", 
        RowBox[{"-", "x"}]}], ",", 
       RowBox[{"aa3", "\[Rule]", "0"}]}], "}"}]}], "]"}], "/.", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", "2"}], "/", 
     RowBox[{"M", "^", "4"}]}]}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.839242328096264*^9, 3.839242386837899*^9}, {
  3.840022038312312*^9, 3.840022059341827*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"2e3f52d9-e0d7-4472-8bd8-0ce96711a7a1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p1", "-", "p3"}], ")"}], "2"], " ", 
   SuperscriptBox["\[Lambda]", "2"]}], 
  SuperscriptBox["M", "4"]]], "Output",
 CellChangeTimes->{{3.839242379000916*^9, 3.839242387288665*^9}, {
  3.840022045540757*^9, 3.840022059963684*^9}},
 CellLabel->"Out[8]=",ExpressionUUID->"648db82f-56da-4102-80dc-dd7b400cf053"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["one - loop matching O (\[Lambda]^4) (problem 8)", "Text",
 CellChangeTimes->{{3.8388639614122343`*^9, 3.838863974822845*^9}, {
  3.8400219538377333`*^9, 3.8400219613185377`*^9}},
 FontSize->18,ExpressionUUID->"37e97bd4-2c99-44b6-b1db-3ee589f21cfb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NumaFUv", "=", 
   RowBox[{
    SubscriptBox["k", "\[Alpha]"], 
    SubscriptBox["k", "\[Beta]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumaFUs", "=", 
   RowBox[{"m", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aFUv", "=", 
   RowBox[{"LoopRefine", "[", 
    RowBox[{"LoopIntegrate", "[", 
     RowBox[{"NumaFUv", ",", "k", ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "M", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aFUs", "=", 
    RowBox[{"LoopRefine", "[", 
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{"NumaFUs", ",", "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "M", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumbFUv", "=", 
   RowBox[{
    RowBox[{"-", 
     SubscriptBox["k", "\[Alpha]"]}], 
    SubscriptBox["k", "\[Beta]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumbFUs", "=", 
   RowBox[{"m", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bFUv", "=", 
   RowBox[{"LoopRefine", "[", 
    RowBox[{"LoopIntegrate", "[", 
     RowBox[{"NumbFUv", ",", "k", ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "M", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bFUs", "=", 
    RowBox[{"LoopRefine", "[", 
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{"NumbFUs", ",", "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "M", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumcFUs", "=", 
   RowBox[{
    RowBox[{"-", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", ".", "k"}], "+", 
      RowBox[{"m", "^", "2"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cFUs", "=", 
    RowBox[{"LoopRefine", "[", 
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{"NumcFUs", ",", "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "M", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumdFUs", "=", 
   RowBox[{"2", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", ".", "k"}], "+", 
      RowBox[{"m", "^", "2"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dFUs", "=", 
    RowBox[{"LoopRefine", "[", 
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{"NumdFUs", ",", "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "M"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "M"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.838863988914461*^9, 3.83886406468857*^9}, {
   3.83886412300298*^9, 3.838864191586306*^9}, {3.838864231731689*^9, 
   3.838864370057255*^9}, {3.838864438370408*^9, 3.838864466744792*^9}, {
   3.838864648836315*^9, 3.8388646725643044`*^9}, {3.838864745697084*^9, 
   3.838864761201013*^9}, {3.838864947586108*^9, 3.8388649725198507`*^9}, {
   3.8388652239949417`*^9, 3.838865228737255*^9}, {3.839224310034103*^9, 
   3.839224336011138*^9}, 3.839224379306061*^9, {3.8392245703718348`*^9, 
   3.839224577433414*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"aa32d9d6-39b8-40e1-b2ba-3f1e374644f9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"finalaFUv", "=", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"aFUv", "/.", 
      RowBox[{"m", "\[Rule]", 
       RowBox[{"mbyM", " ", "M"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"mbyM", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"finalaFUs", "=", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"aFUs", "/.", 
      RowBox[{"m", "\[Rule]", 
       RowBox[{"mbyM", " ", "M"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"mbyM", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"finalbFUv", "=", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"bFUv", "/.", 
      RowBox[{"m", "\[Rule]", 
       RowBox[{"mbyM", " ", "M"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"mbyM", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"finalbFUs", "=", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"bFUs", "/.", 
      RowBox[{"m", "\[Rule]", 
       RowBox[{"mbyM", " ", "M"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"mbyM", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"finaldFUs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"dFUs", ",", 
       RowBox[{"1", "/", "\[Epsilon]"}]}], "]"}], "/", "\[Epsilon]"}], "+", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{"dFUs", "-", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{"dFUs", ",", 
           RowBox[{"1", "/", "\[Epsilon]"}]}], "]"}], "/", "\[Epsilon]"}]}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.838864374884574*^9, 3.83886441864909*^9}, {
  3.838864469820258*^9, 3.83886447693158*^9}, {3.8388649906453943`*^9, 
  3.83886499877824*^9}, {3.8388650325871887`*^9, 3.8388651364636374`*^9}, {
  3.8392243703734818`*^9, 3.839224374772964*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"765ce7b3-f498-4fe4-abe3-41858d5d0b5b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"finalaFUv", "//", "Normal"}], ")"}], "/.", 
  RowBox[{"mbyM", "\[Rule]", "x"}]}]], "Input",
 CellChangeTimes->{{3.8392244519668293`*^9, 3.8392244699674397`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"d4e56de7-5bf5-42be-890c-892fd5507abf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Alpha]", ",", "\[Beta]"}]], 
    RowBox[{"4", " ", 
     SuperscriptBox["M", "2"]}]]}], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"3", "+", 
      RowBox[{"2", " ", 
       RowBox[{"Log", "[", 
        SuperscriptBox["x", "2"], "]"}]}]}], ")"}], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Alpha]", ",", "\[Beta]"}]]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["M", "2"]}]]}]], "Output",
 CellChangeTimes->{{3.839224449431959*^9, 3.8392244702184*^9}},
 CellLabel->"Out[71]=",ExpressionUUID->"70aef75c-2ba2-4182-8c5d-2501fe8d70ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<aUv=\>\"", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"finalaFUv", "//", "Normal"}], ")"}], "/.", 
    RowBox[{"mbyM", "\[Rule]", 
     RowBox[{"m", "/", "M"}]}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<aUs=\>\"", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"finalaFUs", "//", "Normal"}], ")"}], "/.", 
     RowBox[{"mbyM", "\[Rule]", 
      RowBox[{"m", "/", "M"}]}]}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<bUv=\>\"", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"finalbFUv", "//", "Normal"}], ")"}], "/.", 
    RowBox[{"mbyM", "\[Rule]", 
     RowBox[{"m", "/", "M"}]}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<bUs=\>\"", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"finalbFUs", "//", "Normal"}], ")"}], "/.", 
    RowBox[{"mbyM", "\[Rule]", 
     RowBox[{"m", "/", "M"}]}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<c=\>\"", ",", 
   RowBox[{"Collect", "[", 
    RowBox[{"cFUs", ",", "m"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<d=\>\"", ",", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"finaldFUs", "//", "Normal"}], ")"}], "/.", 
     RowBox[{"mbyM", "\[Rule]", 
      RowBox[{"m", "/", "M"}]}]}], ")"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8392243881441507`*^9, 3.83922444013151*^9}, {
  3.839224474702141*^9, 3.83922448345835*^9}, {3.8392245385848103`*^9, 
  3.839224646021545*^9}},
 CellLabel->
  "In[116]:=",ExpressionUUID->"155cad27-7154-41aa-a80e-935a6af3eb51"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aUv=\"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Alpha]", ",", "\[Beta]"}]], 
      RowBox[{"4", " ", 
       SuperscriptBox["M", "2"]}]]}], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"2", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["m", "2"], 
           SuperscriptBox["M", "2"]], "]"}]}]}], ")"}], " ", 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Alpha]", ",", "\[Beta]"}]]}], 
     RowBox[{"4", " ", 
      SuperscriptBox["M", "4"]}]]}]}],
  SequenceForm[
  "aUv=", (Rational[-1, 4] $CellContext`M^(-2)) 
    X`LTensor[
     X`MetricG, $CellContext`\[Alpha], $CellContext`\[Beta]] + (((
       Rational[-1, 4] $CellContext`m^2) $CellContext`M^(-4)) (3 + 
      2 Log[$CellContext`m^2 $CellContext`M^(-2)])) 
    X`LTensor[X`MetricG, $CellContext`\[Alpha], $CellContext`\[Beta]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.8392246466320887`*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"e48d99db-e89b-4fb2-b589-a9dac403c996"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"aUs=\"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     SuperscriptBox["m", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         SuperscriptBox["M", "2"]], "]"}]}], ")"}]}], 
    SuperscriptBox["M", "4"]]}],
  SequenceForm[
  "aUs=", ($CellContext`m^2 $CellContext`M^(-4)) (-2 - 
    Log[$CellContext`m^2 $CellContext`M^(-2)])],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.839224646635004*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"8dff496b-4bf2-4648-82ac-b7e39d5654f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"bUv=\"\>", "\[InvisibleSpace]", 
   RowBox[{
    FractionBox[
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Alpha]", ",", "\[Beta]"}]], 
     RowBox[{"4", " ", 
      SuperscriptBox["M", "2"]}]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"2", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["m", "2"], 
           SuperscriptBox["M", "2"]], "]"}]}]}], ")"}], " ", 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Alpha]", ",", "\[Beta]"}]]}], 
     RowBox[{"4", " ", 
      SuperscriptBox["M", "4"]}]]}]}],
  SequenceForm[
  "bUv=", (Rational[1, 4] $CellContext`M^(-2)) 
    X`LTensor[
     X`MetricG, $CellContext`\[Alpha], $CellContext`\[Beta]] + (((
       Rational[1, 4] $CellContext`m^2) $CellContext`M^(-4)) (3 + 
      2 Log[$CellContext`m^2 $CellContext`M^(-2)])) 
    X`LTensor[X`MetricG, $CellContext`\[Alpha], $CellContext`\[Beta]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.839224646641614*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"b4a58bc8-451f-4d55-8a58-cf744f685cf0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"bUs=\"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     SuperscriptBox["m", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         SuperscriptBox["M", "2"]], "]"}]}], ")"}]}], 
    SuperscriptBox["M", "4"]]}],
  SequenceForm[
  "bUs=", ($CellContext`m^2 $CellContext`M^(-4)) (-2 - 
    Log[$CellContext`m^2 $CellContext`M^(-2)])],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.8392246466439734`*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"e631cfb9-ba96-402b-b432-68a6dd151ff4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"c=\"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["m", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["4", 
        SuperscriptBox["M", "4"]]}], "-", 
      FractionBox[
       RowBox[{"12", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "\[Epsilon]"], "+", 
          RowBox[{"Log", "[", 
           FractionBox[
            SuperscriptBox["\[Micro]", "2"], 
            SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], 
       SuperscriptBox["M", "4"]]}], ")"}]}]}],
  SequenceForm[
  "c=", $CellContext`m^2 ((-4) $CellContext`M^(-4) - (
     12 $CellContext`M^(-4)) (X`Eps^(-1) + Log[$CellContext`m^(-2) X`Mu^2]))],
  
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.839224646646327*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"a2df84d9-4625-4471-9842-a0ed0a11b25d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"d=\"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", 
      RowBox[{"\[Epsilon]", " ", 
       SuperscriptBox["M", "2"]}]]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"3", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["m", "2"], 
           SuperscriptBox["M", "2"]], "]"}]}]}], ")"}]}], 
     SuperscriptBox["M", "4"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["M", "2"]], "]"}]}], ")"}]}], 
     SuperscriptBox["M", "2"]]}]}],
  SequenceForm[
  "d=", ((-2)/X`Eps) $CellContext`M^(-2) - ((
     2 $CellContext`m^2) $CellContext`M^(-4)) (2 + 
    3 Log[$CellContext`m^2 $CellContext`M^(-2)]) - (2 $CellContext`M^(-2)) (1 + 
    Log[$CellContext`M^(-2) X`Mu^2])],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.839224483878222*^9, {3.839224544524993*^9, 3.839224557834134*^9}, 
   3.8392246006335773`*^9, {3.839224635313527*^9, 3.839224646649338*^9}},
 CellLabel->
  "During evaluation of \
In[116]:=",ExpressionUUID->"23022917-9c3b-49db-b131-8ee560ba78c2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1920, 1131},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"12.0 for Linux x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 618, 15, 36, "Text",ExpressionUUID->"931b97c7-fb81-4b41-85ee-7ee0dcdf2791"],
Cell[CellGroupData[{
Cell[1201, 39, 192, 3, 31, "Input",ExpressionUUID->"ef74cc3a-7fb1-45ec-8327-37da20bb7349"],
Cell[1396, 44, 518, 8, 48, "Print",ExpressionUUID->"76409570-2bf0-4d66-b599-09b4383f9b17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1951, 57, 232, 3, 40, "Text",ExpressionUUID->"329adbb6-5c23-42e7-a985-bc1683c9678f"],
Cell[2186, 62, 1099, 32, 31, "Input",ExpressionUUID->"de0022c9-4d81-4184-ba4c-657b93649c16"],
Cell[CellGroupData[{
Cell[3310, 98, 355, 7, 55, "Input",ExpressionUUID->"f0f01324-25a6-4701-815e-8b75315bcd37"],
Cell[3668, 107, 644, 17, 61, "Output",ExpressionUUID->"e15fad29-00fa-41d5-a865-5fb7543ddb52"],
Cell[4315, 126, 754, 21, 61, "Output",ExpressionUUID->"be6ef29c-91e8-4fdf-8b09-5450ec1a58de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5106, 152, 470, 12, 31, "Input",ExpressionUUID->"7e19ef2e-48d4-49a7-bfa0-ab6d43bfeb62"],
Cell[5579, 166, 948, 26, 56, "Output",ExpressionUUID->"2228a1a6-458d-4302-b068-1587a31b6135"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6564, 197, 520, 14, 31, "Input",ExpressionUUID->"af44fdd8-5a83-4edb-8ca3-4f78bf26a80e"],
Cell[7087, 213, 894, 25, 56, "Output",ExpressionUUID->"d96a7507-95f7-4ddd-b771-d9c56a33a23f"]
}, Open  ]]
}, Open  ]],
Cell[8008, 242, 209, 3, 47, "Text",ExpressionUUID->"8e173dde-2cf8-4b20-97a7-634243c8eb17"],
Cell[CellGroupData[{
Cell[8242, 249, 240, 3, 40, "Text",ExpressionUUID->"c14172ac-0301-4427-92ef-7005c62bdeb6"],
Cell[CellGroupData[{
Cell[8507, 256, 1248, 34, 31, "Input",ExpressionUUID->"be378d15-1c92-4b5d-8fef-3ef763da7116"],
Cell[9758, 292, 1143, 35, 37, "Output",ExpressionUUID->"8d1bc0fc-dc8c-4759-8cce-bce35a43be1b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10938, 332, 851, 24, 31, "Input",ExpressionUUID->"2e3f52d9-e0d7-4472-8bd8-0ce96711a7a1"],
Cell[11792, 358, 421, 10, 91, "Output",ExpressionUUID->"648db82f-56da-4102-80dc-dd7b400cf053"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12262, 374, 254, 3, 40, "Text",ExpressionUUID->"37e97bd4-2c99-44b6-b1db-3ee589f21cfb"],
Cell[12519, 379, 3852, 107, 425, "Input",ExpressionUUID->"aa32d9d6-39b8-40e1-b2ba-3f1e374644f9"],
Cell[16374, 488, 2142, 64, 124, "Input",ExpressionUUID->"765ce7b3-f498-4fe4-abe3-41858d5d0b5b"],
Cell[CellGroupData[{
Cell[18541, 556, 292, 6, 31, "Input",ExpressionUUID->"d4e56de7-5bf5-42be-890c-892fd5507abf"],
Cell[18836, 564, 715, 21, 60, "Output",ExpressionUUID->"70aef75c-2ba2-4182-8c5d-2501fe8d70ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19588, 590, 1717, 48, 193, "Input",ExpressionUUID->"155cad27-7154-41aa-a80e-935a6af3eb51"],
Cell[CellGroupData[{
Cell[21330, 642, 1375, 37, 58, "Print",ExpressionUUID->"e48d99db-e89b-4fb2-b589-a9dac403c996"],
Cell[22708, 681, 809, 23, 58, "Print",ExpressionUUID->"8dff496b-4bf2-4648-82ac-b7e39d5654f7"],
Cell[23520, 706, 1346, 36, 58, "Print",ExpressionUUID->"b4a58bc8-451f-4d55-8a58-cf744f685cf0"],
Cell[24869, 744, 811, 23, 58, "Print",ExpressionUUID->"e631cfb9-ba96-402b-b432-68a6dd151ff4"],
Cell[25683, 769, 1041, 30, 69, "Print",ExpressionUUID->"a2df84d9-4625-4471-9842-a0ed0a11b25d"],
Cell[26727, 801, 1359, 39, 58, "Print",ExpressionUUID->"23022917-9c3b-49db-b131-8ee560ba78c2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

